org.apache.maven.scm.provider.hg

## Class HgUtils

- java.lang.Object
- - org.apache.maven.scm.provider.hg.HgUtils

-     public class HgUtils
      extends Object

  Common code for executing hg commands.
  Version:
    $Id: HgUtils.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    thurner rupert

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HgUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ScmResult` | `execute(File workingDir, String[] cmdAndArgs)`
    `static ScmResult` | `execute(HgConsumer consumer, ScmLogger logger, File workingDir, String[] cmdAndArgs)`
    `static String[]` | `expandCommandLine(String[] cmdAndArgs, ScmFileSet additionalFiles)`
    `static int` | `getCurrentRevisionNumber(ScmLogger logger, File workingDir)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HgUtils

          public HgUtils()

  - ### Method Detail

    - #### execute

          public static ScmResult execute(HgConsumer consumer,
                          ScmLogger logger,
                          File workingDir,
                          String[] cmdAndArgs)
                                   throws ScmException

      Throws:
        `ScmException`

    - #### execute

          public static ScmResult execute(File workingDir,
                          String[] cmdAndArgs)
                                   throws ScmException

      Throws:
        `ScmException`

    - #### expandCommandLine

          public static String[] expandCommandLine(String[] cmdAndArgs,
                                   ScmFileSet additionalFiles)

    - #### getCurrentRevisionNumber

          public static int getCurrentRevisionNumber(ScmLogger logger,
                                     File workingDir)
                                              throws ScmException

      Throws:
        `ScmException`

Copyright © 2003–2015. All rights reserved.